Category:  Estimated time: 0.00 hour

Target version:    
Description

Related issues:

Related to Base Language - Feature #6493: add equivalent support for the comm... New

History

#2 - 06/06/2022 12:24 PM - Greg Shah

It was seen on a command line as -sbhelp something.p.

We don't know what this does, though the name suggests that it allows the overriding of the ChUI help application (instead of the default applhelp.p).

#3 - 02/05/2024 08:34 AM - Greg Shah

- Related to Feature #6493: add equivalent support for the command line parameters -ucc and -utf8intatchar added

#4 - 02/05/2024 08:35 AM - Greg Shah

Customer description of this feature (from the customer for which Progress developed the feature):

The utf8intatchar was supplied by Progress to address an issue with integer fields being displayed in character form fields.  It was a bug in some

versions of OE10.  The probem no longer exists in OE11 and 12.  The -ucc parameter and -sbhelp were both added in March 2008 to fix an

issue with unicode databases.  I highly doubt that we need any support for this

#5 - 02/05/2024 08:36 AM - Greg Shah

- Assignee set to Eugenie Lyzenko

From a senior developer (also at the customer):

The sbhelp is actually pretty important to us. It allows for processing of the Help function keys (F16 to F20 in our case) when a "Press spacebar

to continue" prompt is on the screen. Actually any pause. This is used extensively by <customer_name>.

We use the "Help" request to walk the screen widgets and send the current screen as XML up to a web server, which also happens to be

running the character screen.

In our system, the user (.Net application on a PC) talks to the Web Server. The Web Server runs a character client. It enters the data sent by the

user to the character screen, followed by the appropriate "help" request.  The help trigger causes the backend to send XMscreen XML up to the

webserver. This XML is then sent back to the client. "pauses" on the back end cause significant delays.
